package ch.ethz.inf.vs.nethz.androidtutorial;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.ToggleButton;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    public static final String ACTIVITY_TAG = "### Main ###";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        TextView text = findViewById(R.id.text_main);
        text.setText(R.string.hello_world);
        Log.d(ACTIVITY_TAG, "1");
        text.setText(R.string.app_name);
        Log.d(ACTIVITY_TAG, "2");
        text.setText(R.string.welcome);
        Log.d(ACTIVITY_TAG, "3");

//        Button btn_test = findViewById(R.id.btn_test);
//        btn_test.setOnClickListener(this);
//        Button btn_action = findViewById(R.id.btn_action);
//        btn_action.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_test:
                ((Button) v).setText(R.string.btn_clicked);
                break;
            case R.id.btn_action:
                ((Button) v).setText(R.string.btn_running);
                break;
        }
    }

    public void onClickTest(View v) {
        ((Button) v).setText(R.string.btn_clicked);

        this.startActivity(new Intent(this, ActuatorsActivity.class));
    }

    public void onClickAction(View v) {
        ((Button) v).setText(R.string.btn_running);

        this.startActivity(new Intent(this, WorkerActivity.class));
    }

    public void onClickToggle(View v) {
        ToggleButton tb = (ToggleButton) v;
        if (tb.isChecked()) {
            Log.d(ACTIVITY_TAG, "Toggle ON");
        } else {
            Log.d(ACTIVITY_TAG, "Toggle OFF");
        }
    }
}
